(function () {

    var Utils = window.Utils;

    Vue.filter('translate-filter', function (value) {
        return window.translation.zh_CN[value] ? window.translation.zh_CN[value] : value;
    });

    var gllue_extenion = new Vue({
        template: `
<div class="gllue-toolbar gllue-hide" id="gllue-toolbar">
    <div>
        <div class="gllue-content" id="glluewrapper">
            <div class="gllue-content">
                <extension-header @hideEvent="hideEventHandler"></extension-header>
                <extension-contend v-show="hide" @logout="logoutHandler"></extension-contend>
                <extension-logout v-show="logout" :host="host"></extension-logout>
            </div>
        </div>
    </div>
</div>
        `,
        data: {
            hide: true,
            logout: false,
            host: ''
        },
        methods: {
            hideEventHandler: function () {
                this.hide = !this.hide;
            },
            logoutHandler: function (obj) {
                this.logout = obj.logout;
                this.host = obj.host
            }
        }
    });

    gllue_extenion.$mount();

    $('body').append(gllue_extenion.$el);
    $(gllue_extenion.$el).removeClass('gllue-hide');
    Utils.draggableToolbar();
})();