(function () {
    let tpl = `
    
    <select placeholder='please_select_candidate'>
        <option disabled value="0" selected="selected">请选择</option>
    </select>
    
    `;
    Vue.component('select2', {
        props: ['options', 'processData', 'request'],
        template: tpl,
        mounted: function () {
            var me = this;
            var processData = this.processData;
            var request = this.request;
            $(this.$el).select2({
                // data: me.options,
                allowClear: true,
                placeholder: {
                    id: '',
                    text: '请选择'
                },
                ajax: {
                    transport: function (params, success, failure) {
                        var requset = request(params, success, failure);

                        return request;
                    },
                    processResults: function (data) {
                        if (processData) {
                            data = processData(data);
                        }

                        return {
                            results: data
                        };
                    }
                }
            }).on('change', function () {
                me.$emit('inputChange', this.value);
            });
        }
    });
})();