(function (root, $) {
    "use strict";
    root.ResumeNote.init({
        site: "51job",
        th_note : $('<td class="inbox_td3" style="width:auto"></td>'),
        th_visited : $('<td class="inbox_td3" style="width:20px"></td>'),

        selectors: {
            resume_div: '.inbox_td22',
        }
    });
    root.ResumeNote.find_unique_id = function($this){
        return $this.find('.SearchR').text();
    };
    root.ResumeNote.find_th = function(){
        return $('#divGridData > div:nth-child(2) > table > tbody > tr:nth-child(1)');
    };
    root.ResumeNote.find_tr = function(){
        return $('#divGridData > div:nth-child(2) > table > tbody > tr');
    };
    root.ResumeNote.need_to_append_note = function($this){
        try{
            return $this.attr('id').startsWith('trBaseInfo');
        } catch(err){
            return false;
        }
    };
    root.ResumeNote.need_to_append_empty = function($this){
        try{
            return $this.attr('id').startsWith('trDetail');
        } catch(err){
            return false;
        }
    };
    root.ResumeNote.get_and_append_resume_note();
}(window, jQuery));
