(function(root, $) {
    "use strict";

    root.Position.init({
        site: "liepin_hr",
        autofill: function () {
            return window.location.href.indexOf('ejob_id=') === -1;
        },
        unique_id: function() {
            var rex = location.href.match(/ejob_id=(\d+)/i);
            if (rex && rex.length) {
               return rex[1];
            }
        },
        selectors: {
            submit: 'button[data-selector="btn-publish"], button[data-selector="btn-update"]',
            simpleMapping: {
                'jobTitle' : 'ejob_title',
            },

            newVersionForm: {
//                "city" : select.bind(null, 'ejob_dq'),

//                "annualSalary": function(val){
//                    var high = Math.ceil(parseInt(val) / 10000);
//                    var low = Math.floor(parseInt(val) / 10000);
//                    $('input[name="web_hjob.hjob_salarylow"]').val(low);
//                    $('input[name="web_hjob.hjob_salaryhigh"]').val(high);
//                },
                "description" : function(val){
                    $('textarea[name="detail_duty_qualify"]').val(val);
                },

//                "function" : select.bind(null, 'ejob_jobtitle'),

            },
        },
    });
})(window, jQuery);
