(function (root, $) {
    "use strict";
    root.ResumeNote.init({
        site: "liepin",
        th_note : $('<th></th>'),
        th_visited : $('<th></th>'),
        td_note: '<td></td>',
        td_visited: '<td></td>',
        selectors: {
            resume_div: '.checkbox',
        }
    });
    root.ResumeNote.find_unique_id = function($this){
        return $this.attr('value');
    };
    root.ResumeNote.find_th = function(){
        return $('#findresume-result > div.wrap.resume-search > div.result-list > div > table > thead > tr');
    };
    root.ResumeNote.find_tr = function(){
        return $('#findresume-result > div.wrap.resume-search > div.result-list > table > tbody > tr');
    };
    root.ResumeNote.before_append_th_callback = function(){
        var colgroup = $('#findresume-result > div.wrap.resume-search > div.result-list > div > table > colgroup');
        colgroup.prepend($('<col width="50">'));
        colgroup.prepend($('<col width="10">'));
        colgroup = $('#findresume-result > div.wrap.resume-search > div.result-list > table > colgroup');
        colgroup.prepend($('<col width="50">'));
        colgroup.prepend($('<col width="10">'));
    };
    root.ResumeNote.need_to_append_note = function($this){
        return $this.hasClass('table-list-peo');
    };
    root.ResumeNote.need_to_append_empty = function($this){
        return $this.hasClass('table-list-info');
    };
    root.ResumeNote.get_and_append_resume_note();
}(window, jQuery));
