(function (root, $) {
    "use strict";
    root.ResumeNote.init({
        site: "zhaopin",
        th_note : $('<td width="40"></td>'),
        th_visited : $('<td width="20"></td>'),
        selectors: {
            resume_div: '.first-weight'
        }
    });
    root.ResumeNote.find_unique_id = function($this){
        var unique_id_str = $this.find('a').attr('tag');
        var unique_id = unique_id_str.split('_')[0];
        return unique_id;
    };
    root.ResumeNote.find_th = function(){
        return $('.resumes-list').find('thead').find('tr');
    };
    root.ResumeNote.find_tr = function(){
        return $('.resumes-list').find('tbody').find('tr');
    };
    root.ResumeNote.need_to_append_note = function($this){
        return !$this.hasClass('info');
    };
    root.ResumeNote.need_to_append_empty = function($this){
        return $this.hasClass('info');
    };
    root.ResumeNote.get_and_append_resume_note();
}(window, jQuery));
