/* global chrome, Config */
(function (window, $) {
    'use strict';

    var host = window.Config.HUB_HOST;

    chrome.runtime.sendMessage({
        type: 'saasPath'
    }, function(obj) {
        var isLoadRemoteCode;
        var saasPath = obj;
        if(typeof obj === 'string') {
            $.get(host + saasPath + Config.SAAS_CONTENT_LOADER_PATH);
        }else {
            isLoadRemoteCode = obj.isLoadRemoteCode;
            saasPath = obj.saasPath;
            if(isLoadRemoteCode) {
                $.get(host + saasPath + Config.SAAS_CONTENT_LOADER_PATH);
            }else {
                window.cherryContentLoader(window.loaderGllueContentfunction, window.loaderGllueCommon, window.loaderGllueWebcall);    
            }
        }
        
    });

}(window, jQuery));
