(function(root, $) {
    "use strict";
    var timeId;

    root.Position.init({
        site: "58",
        autofill: function () {
            return window.location.href.indexOf('/update/') === -1;
        },

        selectors: {
            submit: 'input[type="submit"]',
            email: 'input[name="Email"]',
            simpleMapping: {
                'jobTitle': 'Title',
                'industry': 'jobcateID',
                'totalCount': 'zhaopinrenshu',
                'degree': 'xueliyaoqiu',
                'workexp': 'gongzuonianxian',
                'salary_start': 'startxinzi',
                'salary_end': 'endxinzi'
            },
            simpleMapping_selector_key: 'id',
            newVersionForm: {
                description: function(fieldValue) {
                    window.clearInterval(timeId);
                    $('[name="Content"]').val(fieldValue);
                    timeId = window.setInterval(function () {
                        if (window.baidu_editor_0 && window.baidu_editor_0.contentDocument.querySelector('body')) {
                            window.baidu_editor_0.contentDocument.querySelector('body').innerHTML = fieldValue;
                            window.clearInterval(timeId);
                        }
                    }, 200);
                }
            }
        }
    });
}(window, jQuery));
