(function(root, $) {
    "use strict";

    root.Position.init({
        site: "dxy",
        autofill: function () {
            return window.location.search.search(/action=[Ss]ave/) > -1;
        },

        selectors: {
            submit: '#newadd_btn',
            email: 'input[name="emails"]',
            simpleMapping: {
                'workexp': 'jobYear',
                'jobTitle': 'name',
                'totalCount': 'numOfPosition',
                'description': 'desc_zh',
                'salary': 'salary',
                'closeDate': 'endTime',
                'employee_type': 'jobType',
                'major': 'fields',
                'degree': 'grades'
            }
        }
    });
}(window, jQuery));
