(function (root, $) {
    "use strict";
    root.ResumeNote.init({
        site: "liepin_hr",
        th_note : $('<th width="40"></th>'),
        th_visited : $('<th width="10"></th>'),
        td_note: '<td width="40"></td>',
        td_visited: '<td width="10"></td>',
        selectors: {
            resume_div: '.link-resume-view',
        }
    });
    root.ResumeNote.find_unique_id = function($this){
        return $this.text();
    };
    root.ResumeNote.find_th = function(){
        return $('#resume-search-list > div.wrap > div.data-list.fixed-parent.relative > div > table > thead > tr');
    };
    root.ResumeNote.find_tr = function(){
        return $('#resume-search-list > div.wrap > div.data-list.fixed-parent.relative > table > tbody > tr');
    };
    root.ResumeNote.need_to_append_note = function($this){
        return $this.attr('data-resumeurl') !== undefined;
    };
    root.ResumeNote.need_to_append_empty = function($this){
        return $this.hasClass('tr-detail');
    };
    root.ResumeNote.get_and_append_resume_note();
}(window, jQuery));


