/* global chrome */

(function(root) {
    "use strict";

    var HOST_NAME = 'gllueHost';
    chrome.extension.onConnect.addListener(function (port) {

        chrome.storage.sync.get(HOST_NAME, function (items) {
            root.postMessage({
                type: 'injected',
                value: {
                    version: chrome.runtime.getManifest().version,
                    host: items[HOST_NAME]
                }
            }, '*');
        });

        port.onMessage.addListener(function (message, port) {
            var portName = port.name;

            if (portName === 'gllue-ext') {
                console.log("message from extension: ", message);

                root.postMessage(message, '*');
            }
        });
    });
}(window));
