(function(root){
    root.ExposedMethod = {
        sendResult: function(msg){
            msg.type = 'extensionResult';
            root.postMessage(msg, "*");
            return Promise.resolve();
        },

        changePostingModalJoborderId: function(joborderId){
            Position.setJoborderId(joborderId);
            return Promise.resolve();
        },
        getPositionInfo: function(){
            if (!root.Position){
                return Promise.resolve();
            }
            return new Promise(function(resolve, reject){
                setTimeout(function(){
                    var positionInfo = root.Position.getPositionInfo();
                    resolve(positionInfo);
                }, 1000);
            });
        },
        webRefreshJoborderList: function(){
            var msg = {};
            msg.type = 'refreshPositionList';
            root.postMessage(msg, "*");
            return Promise.resolve();
        }
    }


})(window);