(function(root){
    var ExposedMethod = root.ExposedMethod;
    function emptyFunction(){}
    chrome.runtime.onMessage.addListener(function(request, sender, sendResponse){
        if (request.name === 'gllue-ext-function-call'){
            // 对于publish的方法,我们没有必要sendResponse,不然会报错
            if (request.publish){
                sendResponse = emptyFunction;
            }
            var msg = request.msg;
            var methodName = msg.methodName;

            console.log("[gllue extension function call]");
            console.log("methodName:"+methodName);
            console.log("args:"+msg.args);
            var args = JSON.parse(msg.args);
            var func = ExposedMethod[methodName];
            func.apply(ExposedMethod, args).then(function(res){
                var response = {
                    ack: true,
                    ret: res
                };
                sendResponse(response);
            }, function(err){
                sendResponse({
                    ack: true,
                    ret: err
                });
            });
            return true;
        }
    });

})(window);