/* global chrome, Config */
(function (window, $) {
    'use strict';

    var host = window.Config.HUB_HOST;
    chrome.runtime.sendMessage({
        type: 'saasPath'
    }, function(obj) {
        var isLoadRemoteCode;
        var saasPath = obj;
        if(typeof obj === 'string') {
            $.getScript(host + saasPath + Config.SAAS_OPTIONS_LOADER_PATH);
        } else {
            isLoadRemoteCode = obj ? obj.isLoadRemoteCode : false;
            saasPath = obj.saasPath;
            if(isLoadRemoteCode) {
                $.getScript(host + saasPath + Config.SAAS_OPTIONS_LOADER_PATH);
            } else {
                $.getScript(saasPath + Config.SAAS_OPTIONS_LOADER_PATH);
            }
        }
        
    });

}(window, jQuery));
